Subject: [bug#74756] [PATCH gnome-team 0/3] Update gjs to 1.82.1

From: André Batista <[email-masked]>
Date: Thu, 20 Feb 2025 15:26:48 -0300

Hi,

qua 11 dez 2024 às 20:28:50 (1733959730), [email-masked] enviou:
> qua 11 dez 2024 às 19:30:25 (1733956225), [email-masked] enviou:
> > Am Dienstag, dem 10.12.2024 um 20:11 -0300 schrieb André Batista:
> > > 
> > > I'm not sure I understood your last sentence above: what do you mean
> > > by "rather put in the hands of our mozilla team"? To build on a
> > > separate branch? To review here the work you've already done? To fix
> > > those FIXMEs that you've worked around for now?
> > To put it bluntly, I've done the minimal work necessary to make gjs
> > itself build, but no QA whatsoever beyond that.  I suppose that folks
> > in the mozilla team have better insights to make this world rebuild not
> > a world breakage in disguise.
> 
> Sounds fair. Let's see if I can manage to take some of that from your
> plate. It may take me a week or so, I'm guessing, but I'll try to
> make a proper review if no one else beats me to it.

Ian Eure has added icu4c-73 to master on
cf842e9b20b89ecb08ac3456a91780ec07b5a201, though it's not the default one
yet.
 
> Also, if you plan on merging this before that, do tell.
> 
> > > Oh and the icu4c one does not apply cleanly on master because there's
> > > a icu4c-75 under what is currently icu4c-73.
> > Good to know, which invites a discussion if we shouldn't do an even
> > more recent version.  GJS to my knowledge only specifies minimal
> > requirements.
> 
> I'll try that. Sounds like it may avoid some other world rebuild in
> the near future when requirements are upgraded.
> 

I've sent #76421 adding mozjs-128, but keeping mozjs as is to avoid
rebuilding current gjs and gnome.  I've tried building it with icu4c-75,
but got unexpected errors on test phase.  Since v73 is the one bundled
with mozilla sources and it is enough for gnome, I gather it's best to
keep it that way.

Is that enough to help you get the gnome branch going forward?

Cheers!